Subject: bug#32575: [Cuirass] Filter results by architecture

From: Gábor Boskovits <[email-masked]>
Date: Thu, 30 Aug 2018 07:56:26 +0200

Joshua Branson <[email-masked]> ezt írta (időpont: 2018. aug. 29.,
Sze, 22:41):

> Ricardo Wurmus <[email-masked]> writes:
>
> > The Cuirass web interface shows the number of successful, failed, and
> > pending builds for each evaluation.  Looking at just these numbers it is
> > impossible to tell, how each of the supported architectures is affected.
> >
> > It would be good if we could separate the view by architecture.  Then we
> > could more easily determine that a change broke many builds for one
> > architecture while fixing builds on another.
> >
> > One way to do this would be to accept an optional query variable, e.g.
> >
> >     http://ci.guix.info/jobset/guix-master?system=x86_64-linux
>
> That is an option.  Another one is using a REST API.  It seems to have
> all the hype these days.  So the URL would turn into:
>
>      http://ci.guix.info/jobset/guix-master/system/x86_64-linux
>
> Though I freely admit, I don't completely understand the benefits of REST.
>
> Actually there are some more options to do this, but I think this should
go with
a more generic filtering/sorting capability, using a uniform
implementation. I
noticed this in a writeup before, Ludo asked me to turn that to a TODO on
the Cuirass repository, and I will do that once back from vacation.

> >
> > This could be selected from a drop-down on the page or exposed through a
> > number of links.
> >
> > --
> > Ricardo
>
>
>
>